module Ddr
  class AdminSet < AuxiliaryResource

    def self.call(obj)
      find_by_code(obj.admin_set)
    rescue ActiveResource::ResourceNotFound => e
      raise Ddr::NotFoundError, e
    end

    def self.find_by_code(code)
      return unless code
      fetch(code) { new get(:find, code: code) }
    end

    def self.keys
      fetch("codes") { all.map(&:code) }
    end

    def to_s
      title
    end

  end
end
